package l08_exceptions;

public class ExceptionTest5 {

	static class ArrayIndexException extends ArrayIndexOutOfBoundsException {

		ArrayIndexException(int index) {
			super("Wrong Index: " + index);
		}
	}

	static class Array {
		int[] a = { 1, 2, 3 };

		void printArray() {
			for (int i = 0; ; i++) {
				if (i < 0 || i >= a.length) {
					throw new ArrayIndexException(i);
				}
				System.out.println (a[i]);
			}
		}
	}

	public static void main (String[] args) {
		new Array().printArray();
	}
}

