package l08_exceptions;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class Example1 {

	public static void main(String[] args) {
		BufferedReader br = null;
		try {
			String line;
			br = new BufferedReader(new FileReader("testing.txt"));
			while ((line = br.readLine()) != null) {
				System.out.println(line);
			}
		} catch(IOException e) {
			e.printStackTrace();
		} finally {
			try {
				if (br != null) br.close();
			} catch(IOException e) {
				e.printStackTrace();
			}
		}
	}
}

