package l08_exceptions;

public class ExceptionTest {
	private static Integer Divide (int a, int b) {
		Integer quotient = null;
		try {
			quotient = a / b;
		}

		// RuntimeException is a base class for ArithmeticException,
		// so it cannot be placed first

//		catch (RuntimeException e) {
//			System.out.println ("Error: division by 0");
//		}

		catch (ArithmeticException e) {
			System.out.println ("Error: division by 0");
		}
		return quotient;
	}

	private static void divideAndPrint(int a, int b) {
		Integer q = Divide(a, b);
		if (q != null) {
			System.out.println (a + " / " + b + " = " + q);
		}
	}

	public static void main (String[] args) {
		divideAndPrint(5, 2);
		divideAndPrint(5, 0);
		divideAndPrint(8, 4);
	}
}

