package l08_exceptions;

import utilities.RandomGenerators;

public class ExceptionTest3 {

	static class DivideByZeroException extends ArithmeticException {
		DivideByZeroException(String s) { super(s); }
	}

	private static void Divide (int a, int b) throws DivideByZeroException {
		if (b == 0) {
			throw new DivideByZeroException("Denominator = 0");
		}
		System.out.println (a + " / " + b + " = " + a / b);
	}

	public static void main (String[] args) {
		try {
			while (true) {
				Divide(RandomGenerators.getInt(100), RandomGenerators.getInt(5));
			}
		} catch (DivideByZeroException e) {
			System.out.println ("\n" + e);
		}
	}
}

