package l08_exceptions;

public class SimpleExceptionDemo {

	private static class SimpleException extends Exception {
		public SimpleException(String msg) {
			super(msg);
		}
	}

// 	compilation error; SimpleException must be caught or declared to be thrown
//	static void f() {
	private static void f() throws SimpleException {
		System.out.println("Throwing SimpleException from f()");
		throw new SimpleException("Message");
	}

	public static void main(String[] args) {
		try {
			f();
		} catch(SimpleException e) {
			e.printStackTrace();
		}
	}
}

